kr.co.hanwha.hifive.data.source.contract

## Interface TaskDataSource

All Superinterfaces:
  BaseDataSource

All Known Implementing Classes:
  TaskDataRepository

    public interface TaskDataSource
    extends BaseDataSource

TASK 관련 데이터 저장소 인터페이스

See Also:
  `Created by sanghoonkwon on 2018. 1. 11..`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `requestAddMessage(android.content.Context context, int task_id, java.lang.String contents, HanwhaNetworkCallback<MessageAddData> callback)` 댓글 - 댓글 등록
`void` `requestAllMember(android.content.Context context, HanwhaNetworkCallback callback)` 전체 Member 목록
`void` `requestCampaignListByMemberId(android.content.Context context, java.util.ArrayList<java.lang.Integer> listMemberInfo, HanwhaNetworkCallback callback)` 해당 멤보에 속한 Campaign 목록
`void` `requestCampaignListByProjectId(android.content.Context context, java.util.ArrayList<java.lang.Integer> listReqProjectId, HanwhaNetworkCallback callback)` 해당 프로젝트에 속한 Campaign 목록
`void` `requestDeleteMessage(android.content.Context context, int id, HanwhaNetworkCallback callback)` 댓글 삭제
`void` `requestDeleteTask(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` TASK 삭제
`void` `requestGetMessageList(android.content.Context context, int task_id, int current_page, HanwhaNetworkCallback<MessageListRoot> callback)` 댓글 - 댓글 목록 조회
`void` `requestGetTaskDetail(android.content.Context context, int task_id, int project_id, HanwhaNetworkCallback<TaskDetailRoot> callback)` TASK 조회(상세조회)
`void` `requestSearchTaskByTag(android.content.Context context, java.lang.String searchTag, HanwhaNetworkCallback<SearchTagData> callback)` Task 검색(태그)
`void` `requestSendTask(android.content.Context context, java.lang.String task_name, java.lang.String due_to, java.util.ArrayList<MemberInfoData> listMemberInfo, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 생성
`void` `requestSetTaskDeleteRequest(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` 반려된 TASK 요청 삭제(취소) : STATUS 80
`void` `requestSetTaskEvaluation(android.content.Context context, TaskData taskData, TaskEvaluationType taskEvaluationType, HanwhaNetworkCallback<BaseData> callback)` TASK 평가(Resolved) : STATUS 60
`void` `requestSetTaskEvaluationAccept(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` TASK 평가 - 수락 : STATUS 80
`void` `requestSetTaskEvaluationReject(android.content.Context context, TaskData taskData, java.lang.String message, HanwhaNetworkCallback callback)` TASK 평가 - 완료 : STATUS 70
`void` `requestSetTaskReRequest(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` 반려된 TASK 재 요청 : STATUS 30
`void` `requestSetTaskToday(android.content.Context context, TaskData taskData, boolean isToday, HanwhaNetworkCallback callback)` 내 TASK -> 오늘 할일 등록
`void` `requestTaskAccept(android.content.Context context, TaskData taskData, HanwhaNetworkCallback<BaseData> callback)` TASK 수락 : STATUS 20
`void` `requestTaskReject(android.content.Context context, TaskData taskData, java.lang.String message, HanwhaNetworkCallback<BaseData> callback)` TASK 반려 : STATUS 40
`void` `requestTasksGetMainAssigned(android.content.Context context, HanwhaNetworkCallback<MainHomeAssignedRoot> callback)` MAIN - HOME : TASK 목록 - 나의 업무 목록 조회
`void` `requestTasksGetMainRequest(android.content.Context context, HanwhaNetworkCallback<MainHomeRequestRoot> callback)` MAIN - HOME : TASK 목록 - 요청한 업무 목록 조회
`void` `requestUpdateTask(android.content.Context context, TaskData taskData, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 수정

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseDataSource

`clearData`

### Method Detail

#### requestTasksGetMainAssigned

    void requestTasksGetMainAssigned(@NonNull
                                     android.content.Context context,
                                     @NonNull
                                     HanwhaNetworkCallback<MainHomeAssignedRoot> callback)

MAIN - HOME : TASK 목록 - 나의 업무 목록 조회

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestTasksGetMainRequest

    void requestTasksGetMainRequest(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    HanwhaNetworkCallback<MainHomeRequestRoot> callback)

MAIN - HOME : TASK 목록 - 요청한 업무 목록 조회

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestSetTaskToday

    void requestSetTaskToday(@NonNull
                             android.content.Context context,
                             @NonNull
                             TaskData taskData,
                             @NonNull
                             boolean isToday,
                             @Nullable
                             HanwhaNetworkCallback callback)

내 TASK -> 오늘 할일 등록

Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `isToday` - TRUE : 오늘할 업무로 추가 / FALSE : 오늘할 업무에서 삭제
  `callback` - 콜백

#### requestAllMember

    void requestAllMember(@NonNull
                          android.content.Context context,
                          @NonNull
                          HanwhaNetworkCallback callback)

전체 Member 목록

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestCampaignListByProjectId

    void requestCampaignListByProjectId(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        java.util.ArrayList<java.lang.Integer> listReqProjectId,
                                        @NonNull
                                        HanwhaNetworkCallback callback)

해당 프로젝트에 속한 Campaign 목록

Parameters:
  `context` - Context
  `listReqProjectId` - 받는 사람 목록에 있는 Project Id(Default 내가 속한 프로젝트 추가)
  `callback` - 콜백

#### requestCampaignListByMemberId

    void requestCampaignListByMemberId(@NonNull
                                       android.content.Context context,
                                       @NonNull
                                       java.util.ArrayList<java.lang.Integer> listMemberInfo,
                                       @NonNull
                                       HanwhaNetworkCallback callback)

해당 멤보에 속한 Campaign 목록

Parameters:
  `context` - Context
  `listMemberInfo` - 받는 사람 목록에 있는 Member Id
  `callback` - 콜백

#### requestSendTask

    void requestSendTask(@NonNull
                         android.content.Context context,
                         @NonNull
                         java.lang.String task_name,
                         @NonNull
                         java.lang.String due_to,
                         @NonNull
                         java.util.ArrayList<MemberInfoData> listMemberInfo,
                         @Nullable
                         CampaignData campaignData,
                         @Nullable
                         HanwhaNetworkCallback callback)

TASK 생성

Parameters:
  `context` - Context
  `task_name` - TASK 내용
  `due_to` - 기한 설정
  `listMemberInfo` - 받는사람 정보
  `campaignData` - Campaign Info
  `callback` - 콜백

#### requestUpdateTask

    void requestUpdateTask(@NonNull
                           android.content.Context context,
                           @NonNull
                           TaskData taskData,
                           @Nullable
                           CampaignData campaignData,
                           @Nullable
                           HanwhaNetworkCallback callback)

TASK 수정

Parameters:
  `context` - Context
  `taskData` - TASK 데이터
  `campaignData` - Campaign Info
  `callback` - 콜백

#### requestGetTaskDetail

    void requestGetTaskDetail(@NonNull
                              android.content.Context context,
                              @NonNull
                              int task_id,
                              @NonNull
                              int project_id,
                              @Nullable
                              HanwhaNetworkCallback<TaskDetailRoot> callback)

TASK 조회(상세조회)

Parameters:
  `context` - Context
  `task_id` - TASK ID
  `project_id` - PROJECT ID
  `callback` - 콜백

#### requestDeleteTask

    void requestDeleteTask(@NonNull
                           android.content.Context context,
                           @NonNull
                           TaskData taskData,
                           @Nullable
                           HanwhaNetworkCallback callback)

TASK 삭제

Parameters:
  `context` - Context
  `taskData` - TASK 데이터
  `callback` - 콜백

#### requestTaskAccept

    void requestTaskAccept(@NonNull
                           android.content.Context context,
                           @NonNull
                           TaskData taskData,
                           @Nullable
                           HanwhaNetworkCallback<BaseData> callback)

TASK 수락 : STATUS 20

Parameters:
  `context` - Context
  `taskData` - TASK DATA
  `callback` - 콜백

#### requestTaskReject

    void requestTaskReject(@NonNull
                           android.content.Context context,
                           @NonNull
                           TaskData taskData,
                           @NonNull
                           java.lang.String message,
                           @Nullable
                           HanwhaNetworkCallback<BaseData> callback)

TASK 반려 : STATUS 40

Parameters:
  `context` - Context
  `taskData` - TASK DATA
  `message` - 반려 메세지
  `callback` - 콜백

#### requestGetMessageList

    void requestGetMessageList(@NonNull
                               android.content.Context context,
                               @NonNull
                               int task_id,
                               @NonNull
                               int current_page,
                               @Nullable
                               HanwhaNetworkCallback<MessageListRoot> callback)

댓글 - 댓글 목록 조회

Parameters:
  `context` - Context
  `task_id` - TASK ID
  `current_page` - 현재 페에지 No
  `callback` - 콜백

#### requestAddMessage

    void requestAddMessage(@NonNull
                           android.content.Context context,
                           @NonNull
                           int task_id,
                           @NonNull
                           java.lang.String contents,
                           @Nullable
                           HanwhaNetworkCallback<MessageAddData> callback)

댓글 - 댓글 등록

Parameters:
  `context` - Context
  `task_id` - TASK ID
  `contents` - 댓글 내용
  `callback` - 콜백

#### requestDeleteMessage

    void requestDeleteMessage(@NonNull
                              android.content.Context context,
                              @NonNull
                              int id,
                              @Nullable
                              HanwhaNetworkCallback callback)

댓글 삭제

Parameters:
  `context` - Context
  `id` - 댓글 ID
  `callback` - 콜백

#### requestSearchTaskByTag

    void requestSearchTaskByTag(@NonNull
                                android.content.Context context,
                                @NonNull
                                java.lang.String searchTag,
                                @Nullable
                                HanwhaNetworkCallback<SearchTagData> callback)

Task 검색(태그)

Parameters:
  `context` - Context
  `searchTag` - 태그(검색어)
  `callback` - 콜백

#### requestSetTaskDeleteRequest

    void requestSetTaskDeleteRequest(@NonNull
                                     android.content.Context context,
                                     @NonNull
                                     TaskData taskData,
                                     @Nullable
                                     HanwhaNetworkCallback callback)

반려된 TASK 요청 삭제(취소) : STATUS 80

Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `callback` - 콜백

#### requestSetTaskReRequest

    void requestSetTaskReRequest(@NonNull
                                 android.content.Context context,
                                 @NonNull
                                 TaskData taskData,
                                 @Nullable
                                 HanwhaNetworkCallback callback)

반려된 TASK 재 요청 : STATUS 30

Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `callback` - 콜백

#### requestSetTaskEvaluation

    void requestSetTaskEvaluation(@NonNull
                                  android.content.Context context,
                                  @NonNull
                                  TaskData taskData,
                                  @NonNull
                                  TaskEvaluationType taskEvaluationType,
                                  @Nullable
                                  HanwhaNetworkCallback<BaseData> callback)

TASK 평가(Resolved) : STATUS 60

Parameters:
  `context` - Context
  `taskData` - TASK DATA
  `taskEvaluationType` - 평가
  `callback` - 콜백

#### requestSetTaskEvaluationAccept

    void requestSetTaskEvaluationAccept(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        TaskData taskData,
                                        @Nullable
                                        HanwhaNetworkCallback callback)

TASK 평가 - 수락 : STATUS 80

Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `callback` - 콜백

#### requestSetTaskEvaluationReject

    void requestSetTaskEvaluationReject(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        TaskData taskData,
                                        @NonNull
                                        java.lang.String message,
                                        @Nullable
                                        HanwhaNetworkCallback callback)

TASK 평가 - 완료 : STATUS 70

Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `message` - 메세지
  `callback` - 콜백